### Property

# Ide Buffer:is-temporary

#### Declaration

    property is-temporary: gboolean [ read, write, construct-only ]

#### Description

The “is-temporary” property denotes the `IdeBuffer:file` property points to a temporary file. When saving the the buffer, various UI components know to check this property and provide a file chooser to allow the user to select the destination file.

Upon saving the file, the property will change to `FALSE`.

Type: | `gboolean`
Available since: | 3.32

Getter method | `ide_buffer_get_is_temporary()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes